#include <science.h>

Temperature t( 2 );

void
setup()
{
  Serial.begin( 9600 );
  int num = t.how_many_sensors();
  Serial.print( "Number of temperature sensors found: " );
  Serial.println( num );
}

void
loop()
{
  int num = t.how_many_sensors();

  for( int i = 0; i < num; i++ )
  {
    t.read( i );
    Serial.print( i );
    Serial.print( ": " );
    Serial.print( t.celsius( i ) );
    
    Serial.print( " degrees Celsius, " );
    Serial.print( t.fahrenheit( i ) );
    Serial.println( " degrees Fahrenheit" );
  }
  delay( 1000 );
}
